import request from '@/utils/request'

// 查询订单调度列表
export function listFtmsorderbillsplans(query) {
  return request({
    url: '/fleet/ftmsorderbillsplans/list',
    method: 'get',
    params: query
  })
}

// 查询订单调度详细
export function getFtmsorderbillsplans(id) {
  return request({
    url: '/fleet/ftmsorderbillsplans/' + id,
    method: 'get'
  })
}

// 新增订单调度
export function addFtmsorderbillsplans(data) {
  return request({
    url: '/fleet/ftmsorderbillsplans',
    method: 'post',
    data: data
  })
}

// 修改订单调度
export function updateFtmsorderbillsplans(data) {
  return request({
    url: '/fleet/ftmsorderbillsplans',
    method: 'put',
    data: data
  })
}

// 删除订单调度
export function delFtmsorderbillsplans(id) {
  return request({
    url: '/fleet/ftmsorderbillsplans/' + id,
    method: 'delete'
  })
}

// 导出订单调度
export function exportFtmsorderbillsplans(query) {
  return request({
    url: '/fleet/ftmsorderbillsplans/export',
    method: 'get',
    params: query
  })
}